parasurv's webspace

Fix GTK theme problems in Elementary OS

This fix is for Emacs, Firefox and whatever older GTK based programs you use in Elementary OS (and Ubuntu based distros).

If you launch your favorite program, you might get a message in terminal like this:

Unable to locate theme engine in module_path: "pixmap"

For that you have to install the pixbuf engine. Sometimes you get a message about another module like "canberra".

This is terminal command you need to use to install them:

sudo apt-get install gtk2-engines-pixbuf gtk2-engines-pixbuf:i386 libcanberra-gtk0

After install you can check it, if it does work. In my experience it helps launching your programs faster, so there is definitely a plus to install these.


Hosted on Neocities, made with Emacs. Topics: Linux | Games | Culture | Tech